Subject: Re: [PATCH net] iavf: fix hang on reboot with ice

From: Michal Kubiak <[email-masked]>
Date: Mon, 13 Mar 2023 10:15:21 +0100

On Mon, Mar 13, 2023 at 07:48:52AM +0100, Stefan Assmann wrote:
> 
> Hi Michal,
> 
> is it okay to add this change in a follow-up patch? I'd like to get this
> patch merged quickly since we have a customer being blocked by this
> issue.
> 
> Thanks!
> 
>   Stefan

Hi Stefan,

I think it is OK.
Moreover, I consulted that idea with Slawomir Laba - the author of that loop.
It seems adding a timeout needs a further investigation. Slawomir claims
that adding that timeout may cause some side effects in other corner cases,
so for now let's leave your patch as it is.
Thank you for fixing it!

Thanks,
Michal

Reviewed-by: Michal Kubiak <[email-masked]>